Index: coreboot-v2/src/config/Options.lb
===================================================================
--- coreboot-v2.orig/src/config/Options.lb
+++ coreboot-v2/src/config/Options.lb
@@ -176,7 +176,7 @@ define CONFIG_USE_INIT
 	comment "Use stage 1 initialization code"
 end
 
-define COREBOOT_V2
+define CONFIG_COREBOOT_V2
 	default 1
 	export always
 	comment "This is used by code to determine v2 vs v3"
Index: coreboot-v2/util/x86emu/biosemu.c
===================================================================
--- coreboot-v2.orig/util/x86emu/biosemu.c
+++ coreboot-v2/util/x86emu/biosemu.c
@@ -36,7 +36,7 @@
  * along with this program; if not, write to the Free Software
  * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301 USA
  */
-#ifdef COREBOOT_V2
+#ifdef CONFIG_COREBOOT_V2
 #include <arch/io.h>
 #include <console/console.h>
 #else
Index: coreboot-v2/util/x86emu/pcbios/pcibios.c
===================================================================
--- coreboot-v2.orig/util/x86emu/pcbios/pcibios.c
+++ coreboot-v2/util/x86emu/pcbios/pcibios.c
@@ -35,7 +35,7 @@
  * along with this program; if not, write to the Free Software
  * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301 USA
  */
-#ifdef COREBOOT_V2
+#ifdef CONFIG_COREBOOT_V2
 #include <console/console.h>
 #else
 #include <console.h>
@@ -65,7 +65,7 @@ int pcibios_handler(void)
 		break;
 	case FIND_PCI_DEVICE:
 		/* FixME: support SI != 0 */
-#ifdef COREBOOT_V2
+#ifdef CONFIG_COREBOOT_V2
 		dev = dev_find_device(X86_DX, X86_CX, dev);
 #else
 		dev = dev_find_pci_device(X86_DX, X86_CX, dev);
Index: coreboot-v2/util/x86emu/x86_interrupts.c
===================================================================
--- coreboot-v2.orig/util/x86emu/x86_interrupts.c
+++ coreboot-v2/util/x86emu/x86_interrupts.c
@@ -23,7 +23,7 @@
 #include <device/pci_ids.h>
 #include <device/pci_ops.h>
 #include <string.h>
-#ifdef COREBOOT_V2
+#ifdef CONFIG_COREBOOT_V2
 #include <console/console.h>
 #include <arch/io.h>
 #define printk(x...) do_printk(x)
@@ -87,7 +87,7 @@ int int1a_handler(struct eregs *regs)
 		vendorid = regs->edx;
 		devindex = regs->esi;
 		dev = 0;
-#ifdef COREBOOT_V2
+#ifdef CONFIG_COREBOOT_V2
 		while ((dev = dev_find_device(vendorid, devid, dev))) {
 #else
 		while ((dev = dev_find_pci_device(vendorid, devid, dev))) {
Index: coreboot-v2/util/x86emu/x86.c
===================================================================
--- coreboot-v2.orig/util/x86emu/x86.c
+++ coreboot-v2/util/x86emu/x86.c
@@ -20,7 +20,7 @@
 #include <device/pci.h>
 #include <string.h>
 
-#ifdef COREBOOT_V2
+#ifdef CONFIG_COREBOOT_V2
 #include <arch/io.h>
 #include <console/console.h>
 #define printk(x...) do_printk(x)
Index: coreboot-v2/util/x86emu/x86emu/sys.c
===================================================================
--- coreboot-v2.orig/util/x86emu/x86emu/sys.c
+++ coreboot-v2/util/x86emu/x86emu/sys.c
@@ -46,7 +46,7 @@
 #include "debug.h"
 #include "prim_ops.h"
 #if 1 /* Coreboot needs to map prinkf to printk. */
-#ifdef COREBOOT_V2
+#ifdef CONFIG_COREBOOT_V2
 #include "arch/io.h"
 #else
 #include "io.h"
Index: coreboot-v2/util/x86emu/yabel/biosemu.c
===================================================================
--- coreboot-v2.orig/util/x86emu/yabel/biosemu.c
+++ coreboot-v2/util/x86emu/yabel/biosemu.c
@@ -14,7 +14,7 @@
 #include <string.h>
 
 #include <types.h>
-#ifndef COREBOOT_V2
+#ifndef CONFIG_COREBOOT_V2
 #include <cpu.h>
 #endif
 
@@ -22,7 +22,7 @@
 
 #include <x86emu/x86emu.h>
 #include <x86emu/regs.h>
-#ifdef COREBOOT_V2
+#ifdef CONFIG_COREBOOT_V2
 #include "../x86emu/prim_ops.h"
 #else
 #include <x86emu/prim_ops.h>	// for push_word
@@ -35,7 +35,7 @@
 #include "device.h"
 #include "pmm.h"
 
-#ifdef COREBOOT_V2
+#ifdef CONFIG_COREBOOT_V2
 #include "compat/rtas.h"
 #else
 #include <rtas.h>
Index: coreboot-v2/util/x86emu/yabel/compat/functions.c
===================================================================
--- coreboot-v2.orig/util/x86emu/yabel/compat/functions.c
+++ coreboot-v2/util/x86emu/yabel/compat/functions.c
@@ -14,7 +14,7 @@
  */
 
 #include <types.h>
-#ifndef COREBOOT_V2
+#ifndef CONFIG_COREBOOT_V2
 #include <config.h>
 #endif
 #include <device/device.h>
Index: coreboot-v2/util/x86emu/yabel/debug.c
===================================================================
--- coreboot-v2.orig/util/x86emu/yabel/debug.c
+++ coreboot-v2/util/x86emu/yabel/debug.c
@@ -11,7 +11,7 @@
  *     IBM Corporation - initial implementation
  *****************************************************************************/
 
-#ifndef COREBOOT_V2
+#ifndef CONFIG_COREBOOT_V2
 #include <cpu.h>
 #endif
 
Index: coreboot-v2/util/x86emu/yabel/debug.h
===================================================================
--- coreboot-v2.orig/util/x86emu/yabel/debug.h
+++ coreboot-v2/util/x86emu/yabel/debug.h
@@ -20,7 +20,7 @@ extern u32 debug_flags;
 extern void x86emu_dump_xregs(void);
 
 /* printf is not available in coreboot... use printk */
-#ifdef COREBOOT_V2
+#ifdef CONFIG_COREBOOT_V2
 #include <console/console.h>
 #else
 #include <console.h>
Index: coreboot-v2/util/x86emu/yabel/device.c
===================================================================
--- coreboot-v2.orig/util/x86emu/yabel/device.c
+++ coreboot-v2/util/x86emu/yabel/device.c
@@ -13,7 +13,7 @@
 
 
 #include "device.h"
-#ifdef COREBOOT_V2
+#ifdef CONFIG_COREBOOT_V2
 #include "compat/rtas.h"
 #else
 #include "rtas.h"
@@ -397,7 +397,7 @@ biosemu_dev_init(struct device * device)
 {
 	u8 rval = 0;
 	//init bios_device struct
-#ifdef COREBOOT_V2
+#ifdef CONFIG_COREBOOT_V2
 	DEBUG_PRINTF("%s\n", __func__);
 #else
 	DEBUG_PRINTF("%s(%s)\n", __func__, device->dtsname);
Index: coreboot-v2/util/x86emu/yabel/device.h
===================================================================
--- coreboot-v2.orig/util/x86emu/yabel/device.h
+++ coreboot-v2/util/x86emu/yabel/device.h
@@ -15,7 +15,7 @@
 #define DEVICE_LIB_H
 
 #include <types.h>
-#ifdef COREBOOT_V2
+#ifdef CONFIG_COREBOOT_V2
 #include <arch/byteorder.h>
 #include "compat/of.h"
 #else
Index: coreboot-v2/util/x86emu/yabel/interrupt.c
===================================================================
--- coreboot-v2.orig/util/x86emu/yabel/interrupt.c
+++ coreboot-v2/util/x86emu/yabel/interrupt.c
@@ -11,7 +11,7 @@
  *     IBM Corporation - initial implementation
  *****************************************************************************/
 
-#ifdef COREBOOT_V2
+#ifdef CONFIG_COREBOOT_V2
 #include "compat/rtas.h"
 #else
 #include <rtas.h>
@@ -24,7 +24,7 @@
 #include "pmm.h"
 
 #include <x86emu/x86emu.h>
-#ifdef COREBOOT_V2
+#ifdef CONFIG_COREBOOT_V2
 #include "../x86emu/prim_ops.h"
 #else
 #include <x86emu/prim_ops.h>
@@ -350,7 +350,7 @@ handleInt1a(void)
 				  __func__, M.x86.R_AX);
 		/* FixME: support SI != 0 */
 #if defined(CONFIG_YABEL_PCI_ACCESS_OTHER_DEVICES) && CONFIG_YABEL_PCI_ACCESS_OTHER_DEVICES==1
-#ifdef COREBOOT_V2
+#ifdef CONFIG_COREBOOT_V2
 		dev = dev_find_device(M.x86.R_DX, M.x86.R_CX, 0);
 #else
 		dev = dev_find_pci_device(M.x86.R_DX, M.x86.R_CX, 0);
Index: coreboot-v2/util/x86emu/yabel/io.c
===================================================================
--- coreboot-v2.orig/util/x86emu/yabel/io.c
+++ coreboot-v2/util/x86emu/yabel/io.c
@@ -12,7 +12,7 @@
  *****************************************************************************/
 
 #include <types.h>
-#ifdef COREBOOT_V2
+#ifdef CONFIG_COREBOOT_V2
 #include "compat/rtas.h"
 #include "compat/time.h"
 #else
Index: coreboot-v2/util/x86emu/yabel/mem.c
===================================================================
--- coreboot-v2.orig/util/x86emu/yabel/mem.c
+++ coreboot-v2/util/x86emu/yabel/mem.c
@@ -12,14 +12,14 @@
  *****************************************************************************/
 
 #include <types.h>
-#ifndef COREBOOT_V2
+#ifndef CONFIG_COREBOOT_V2
 #include <cpu.h>
 #endif
 #include "debug.h"
 #include "device.h"
 #include "x86emu/x86emu.h"
 #include "biosemu.h"
-#ifdef COREBOOT_V2
+#ifdef CONFIG_COREBOOT_V2
 #include "compat/time.h"
 #else
 #include <time.h>
Index: coreboot-v2/util/x86emu/yabel/pmm.c
===================================================================
--- coreboot-v2.orig/util/x86emu/yabel/pmm.c
+++ coreboot-v2/util/x86emu/yabel/pmm.c
@@ -10,7 +10,7 @@
  ****************************************************************************/
 
 #include <x86emu/x86emu.h>
-#ifdef COREBOOT_V2
+#ifdef CONFIG_COREBOOT_V2
 #include "../x86emu/prim_ops.h"
 #else
 #include <x86emu/prim_ops.h>
Index: coreboot-v2/util/x86emu/yabel/vbe.c
===================================================================
--- coreboot-v2.orig/util/x86emu/yabel/vbe.c
+++ coreboot-v2/util/x86emu/yabel/vbe.c
@@ -13,7 +13,7 @@
 
 #include <string.h>
 #include <types.h>
-#ifndef COREBOOT_V2
+#ifndef CONFIG_COREBOOT_V2
 #include <cpu.h>
 #endif
 
@@ -21,7 +21,7 @@
 
 #include <x86emu/x86emu.h>
 #include <x86emu/regs.h>
-#ifdef COREBOOT_V2
+#ifdef CONFIG_COREBOOT_V2
 #include "../x86emu/prim_ops.h"
 #else
 #include <x86emu/prim_ops.h>	// for push_word
